@import "helper/variables"
@import "helper/media"
// RESET
@font-face
  font-family: 'FontAwesome'
  src: url('../fonts/fontawesome-webfont.eot?v=4.5.0')
  src: url('../fonts/fontawesome-webfont.eot?#iefix&v=4.5.0') format('embedded-opentype'), url('../fonts/fontawesome-webfont.woff2?v=4.5.0') format('woff2'),url('../fonts/fontawesome-webfont.woff?v=4.5.0') format('woff'),url('../fonts/fontawesome-webfont.ttf?v=4.5.0') format('truetype'),url('../fonts/fontawesome-webfont.svg?v=4.5.0#fontawesomeregular') format('svg')

@font-face
  font-family: 'ProximaNova-Regular'
  src: url('../fonts/ProximaNova-Regular.eot?v=4.5.0')
  src: url('../fonts/ProximaNova-Regular.eot?#iefix&v=4.5.0') format('embedded-opentype'), url('../fonts/ProximaNova-Regular.woff') format('woff2'),url('../fonts/ProximaNova-Regular.woff') format('woff'),url('../fonts/ProximaNova-Regular.ttf') format('truetype')

@font-face
  font-family: 'ProximaNova-Semibold'
  src: url('../fonts/ProximaNova-Semibold.eot')
  src: url('../fonts/ProximaNova-Semibold.eot') format('embedded-opentype'), url('../fonts/ProximaNova-Semibold.woff') format('woff2'),url('../fonts/ProximaNova-Semibold.woff') format('woff'),url('../fonts/ProximaNova-Semibold.ttf') format('truetype')

@font-face
  font-family: 'ProximaNova-Bold'
  src: url('../fonts/ProximaNova-Bold.eot')
  src: url('../fonts/ProximaNova-Bold.eot') format('embedded-opentype'), url('../fonts/ProximaNova-Bold.woff') format('woff2'),url('../fonts/ProximaNova-Bold.woff') format('woff'),url('../fonts/ProximaNova-Bold.ttf') format('truetype')

@font-face
  font-family: 'ProximaNova-Light'
  src: url('../fonts/ProximaNova-Light.eot')
  src: url('../fonts/ProximaNova-Light.eot') format('embedded-opentype'), url('../fonts/ProximaNova-Light.woff') format('woff2'),url('../fonts/ProximaNova-Light.woff') format('woff'),url('../fonts/ProximaNova-Light.ttf') format('truetype')



.fa, .far, .fas
  font-family: 'FontAwesome'

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, button, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header,
menu, nav, output, ruby, section, summary,
time, mark, audio, video
  margin: 0
  padding: 0
  border: 0
  font: inherit
  outline: none
  vertical-align: baseline

main, article, aside, details, figcaption, figure,
footer, header, menu, nav, section
  display: block

body
  color: $colorBlack
  height: 100%
  font: 16px/24px $mainFont
  opacity: 0.1
  @include transition-long
  &.ready-page
    opacity: 1

#wrapper
  display: flex
  min-height: 100vh
  flex-direction: column
  max-width: 100%
  width: 100%
  margin: 0 auto
  overflow-x: hidden

#middle
  overflow: hidden
  padding-top: 100px

h1, h2, h3, h4, h5, h6
  margin: 0 0 20px
  font-weight: 400
  font-family: $boldFont
  color: $colorDark
  .sub-title
    display: block
    color: $colorBlack
    font-size: 16px
    line-height: 24px
    font-weight: 400
    font-family: $mainFont
    padding-top: 15px
h1,.h1
  font-size: 54px
  line-height: 60px

h2,.h2
  font-size: 48px
  line-height: 52px

h3,.h3
  font-size: 24px
  line-height: 28px

h4,.h4
  font-size: 18px
  line-height: 20px

h5,.h5
  font-size: 17px
  line-height: 19px

h6,.h6
  font-size: 16px
  line-height: 18px

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a
  color: $colorBlack
  text-decoration: none

h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover,
h6 a:hover
  text-decoration: underline

q
  color: $colorBlack
  display: block
  margin-bottom: 25px
  text-align: center
  font-weight: 400
  @include mobile-p
    margin: 15px auto 10px
    max-width: 90%

a
  text-decoration: underline
  color: $colorBlack
  &:hover,
  &:focus
    outline: none
    text-decoration: none
    color: $colorBlack

input,
a,
button
  outline: none

ul, p, ol
  padding: 0
  margin-bottom: 24px

p:empty
  display: none

ol, ul
  @include wrap
  list-style-position: inside
  li
    margin: 0 0 15px

ol
  li
    margin-bottom: 10px

img
  border-style: none
  outline: none
  max-width: 100%
  object-fit: cover

input, a, textarea, button, .slick-slide
  outline: none

strong
  font-weight: bold
// table
table
  border-collapse: collapse
  border-spacing: 0
  border: 0
  width: 100%
  margin-bottom: 30px
  td, th
    border-bottom: 1px solid $colorBlack
    font-size: 16px
    line-height: 40px
    color: $colorBlack
    font-weight: 600
    padding: 5px 10px
    text-align: left
    @include tablet-p
      line-height: 18px
      font-size: 14px
      padding: 0
    @include mobile-l
      line-height: 14px
      font-size: 10px
  th
    font-size: 20px
    line-height: 60px
    background-color: $colorBlack
    color: $colorWhite
    @include tablet-p
      line-height: 20px
      font-size: 16px
      background: none
    @include mobile-l
      line-height: 14px
      font-size: 12px
//defoult responsive
@include tablet-p
  h1,.h1
    font-size: 40px
    line-height: 44px

  h2,.h2
    font-size: 35px
    line-height: 40px

  h3,.h3
    font-size: 30px
    line-height: 35px

  h4,.h4
    font-size: 20px
    line-height: 22px

  h5,.h5
    font-size: 18px
    line-height: 20px

  h6,.h6
    font-size: 16px
    line-height: 18px
//RESET
@include min-tablet-p
  /* width */
  ::-webkit-scrollbar
    width: 10px
  /* Track */
  ::-webkit-scrollbar-track
    box-shadow: none
    border-radius: 10px
  /* Handle */
  ::-webkit-scrollbar-thumb
    background: #ff9500
    border-radius: 10px
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover
    background: #ff9500
  .main-calc .sidebar
    &::-webkit-scrollbar
      width: 10px
    &::-webkit-scrollbar-track
      box-shadow: none
      border-radius: 10px
    &::-webkit-scrollbar-thumb
      background: transparent
      border-radius: 10px
    &::-webkit-scrollbar-thumb:hover
      background: transparent

